/* Generated by CIL v. 1.7.3 */
/* print_CIL_Input is true */

#line 4 "deneme3.c"
void __globinit_deneme3(void) ;
extern void __CrestInit(void)  __attribute__((__crest_skip__)) ;
extern void __CrestHandleReturn(int id , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestReturn(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestCall(int id , unsigned int fid )  __attribute__((__crest_skip__)) ;
extern void __CrestBranch(int id , int bid , unsigned char b )  __attribute__((__crest_skip__)) ;
extern void __CrestApply2(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestApply1(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestClearStack(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestStore(int id , unsigned long addr )  __attribute__((__crest_skip__)) ;
extern void __CrestLoad(int id , unsigned long addr , long long val )  __attribute__((__crest_skip__)) ;
#line 212 "/usr/lib/gcc/x86_64-linux-gnu/4.8/include/stddef.h"
typedef unsigned long size_t;
#line 131 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off_t;
#line 132 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off64_t;
#line 44 "/usr/include/stdio.h"
struct _IO_FILE;
#line 44
struct _IO_FILE;
#line 48 "/usr/include/stdio.h"
typedef struct _IO_FILE FILE;
#line 144 "/usr/include/libio.h"
struct _IO_FILE;
#line 154 "/usr/include/libio.h"
typedef void _IO_lock_t;
#line 160 "/usr/include/libio.h"
struct _IO_marker {
   struct _IO_marker *_next ;
   struct _IO_FILE *_sbuf ;
   int _pos ;
};
#line 245 "/usr/include/libio.h"
struct _IO_FILE {
   int _flags ;
   char *_IO_read_ptr ;
   char *_IO_read_end ;
   char *_IO_read_base ;
   char *_IO_write_base ;
   char *_IO_write_ptr ;
   char *_IO_write_end ;
   char *_IO_buf_base ;
   char *_IO_buf_end ;
   char *_IO_save_base ;
   char *_IO_backup_base ;
   char *_IO_save_end ;
   struct _IO_marker *_markers ;
   struct _IO_FILE *_chain ;
   int _fileno ;
   int _flags2 ;
   __off_t _old_offset ;
   unsigned short _cur_column ;
   signed char _vtable_offset ;
   char _shortbuf[1] ;
   _IO_lock_t *_lock ;
   __off64_t _offset ;
   void *__pad1 ;
   void *__pad2 ;
   void *__pad3 ;
   void *__pad4 ;
   size_t __pad5 ;
   int _mode ;
   char _unused2[(15UL * sizeof(int ) - 4UL * sizeof(void *)) - sizeof(size_t )] ;
};
#line 200 "../bin/../include/crest.h"
extern void __CrestChar(char *x )  __attribute__((__crest_skip__)) ;
#line 169 "/usr/include/stdio.h"
extern struct _IO_FILE *stdout ;
#line 356
extern int fprintf(FILE * __restrict  __stream , char const   * __restrict  __format 
                   , ...) ;
#line 4 "deneme3.c"
int main(void) 
{ 
  char n[3] ;
  int i ;
  int count ;
  int __retres4 ;

  {
  __globinit_deneme3();
  __CrestCall(1, 1);
  __CrestLoad(2, (unsigned long )0, (long long )0);
  __CrestStore(3, (unsigned long )(& count));
#line 7
  count = 0;
#line 8
  __CrestChar(& n[0]);
#line 9
  __CrestChar(& n[1]);
#line 10
  __CrestChar(& n[2]);
  __CrestLoad(4, (unsigned long )0, (long long )0);
  __CrestStore(5, (unsigned long )(& i));
#line 12
  i = 0;
#line 12
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(8, (unsigned long )(& i), (long long )i);
    __CrestLoad(7, (unsigned long )0, (long long )3);
    __CrestApply2(6, 16, (long long )(i < 3));
#line 12
    if (i < 3) {
      __CrestBranch(9, 6, 1);

    } else {
      __CrestBranch(10, 7, 0);
#line 12
      goto while_break;
    }
    }
    {
    __CrestLoad(13, (unsigned long )(& n[i]), (long long )n[i]);
    __CrestLoad(12, (unsigned long )0, (long long )65);
    __CrestApply2(11, 12, (long long )((int )n[i] == 65));
#line 13
    if ((int )n[i] == 65) {
      __CrestBranch(14, 9, 1);
      __CrestLoad(18, (unsigned long )(& count), (long long )count);
      __CrestLoad(17, (unsigned long )0, (long long )1);
      __CrestApply2(16, 0, (long long )(count + 1));
      __CrestStore(19, (unsigned long )(& count));
#line 14
      count ++;
    } else {
      __CrestBranch(15, 10, 0);

    }
    }
    __CrestLoad(22, (unsigned long )(& i), (long long )i);
    __CrestLoad(21, (unsigned long )0, (long long )1);
    __CrestApply2(20, 0, (long long )(i + 1));
    __CrestStore(23, (unsigned long )(& i));
#line 12
    i ++;
  }
  while_break: /* CIL Label */ 
  __CrestLoad(26, (unsigned long )(& count), (long long )count);
  __CrestLoad(25, (unsigned long )0, (long long )3);
  __CrestApply2(24, 12, (long long )(count == 3));
#line 25
  if (count == 3) {
    __CrestBranch(27, 14, 1);
#line 26
    fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"count = 3\n");
    __CrestClearStack(29);
  } else {
    __CrestBranch(28, 15, 0);
    {
    __CrestLoad(32, (unsigned long )(& count), (long long )count);
    __CrestLoad(31, (unsigned long )0, (long long )0);
    __CrestApply2(30, 14, (long long )(count > 0));
#line 27
    if (count > 0) {
      __CrestBranch(33, 16, 1);
#line 28
      fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"count = 1-2\n");
      __CrestClearStack(35);
    } else {
      __CrestBranch(34, 17, 0);
#line 30
      fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"count = 0\n");
      __CrestClearStack(36);
    }
    }
  }
  __CrestLoad(37, (unsigned long )0, (long long )1);
  __CrestStore(38, (unsigned long )(& __retres4));
#line 32
  __retres4 = 1;
  __CrestLoad(39, (unsigned long )(& __retres4), (long long )__retres4);
  __CrestReturn(40);
#line 4
  return (__retres4);
}
}
void __globinit_deneme3(void) 
{ 


  {
  __CrestInit();
}
}
